Package com.independentsoft.office.word.fields

# Class Author

java.lang.Object
com.independentsoft.office.word.fields.Field
com.independentsoft.office.word.fields.Author

All Implemented Interfaces:
  `IContentElement`, `IRunContent`

public class Author extends Field
The Class Author.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Author()`
  Instantiates a new author.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Author`
  `clone()`
  `String`
  `getValue()`
  Gets the value.
  `boolean`
  `isCaps()`
  Checks if is caps.
  `boolean`
  `isFirstCap()`
  Checks if is first cap.
  `boolean`
  `isLower()`
  Checks if is lower.
  `boolean`
  `isUpper()`
  Checks if is upper.
  `void`
  `setCaps​(boolean isCaps)`
  Sets the caps.
  `void`
  `setFirstCap​(boolean isFirstCap)`
  Sets the first cap.
  `void`
  `setLower​(boolean isLower)`
  Sets the lower.
  `void`
  `setUpper​(boolean isUpper)`
  Sets the upper.
  `void`
  `setValue​(String value)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.word.fields.Field

  `getContentElements, getFieldCodes, parse`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Author

    public Author()
    Instantiates a new author.

- ## Method Details

  - ### clone

    public Author clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Specified by:
      `clone` in class `Field`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - the new value

  - ### isCaps

    public boolean isCaps()
    Checks if is caps.
    Returns:
      true, if is caps

  - ### setCaps

    public void setCaps​(boolean isCaps)
    Sets the caps.
    Parameters:
      `isCaps` - the new caps

  - ### isFirstCap

    public boolean isFirstCap()
    Checks if is first cap.
    Returns:
      true, if is first cap

  - ### setFirstCap

    public void setFirstCap​(boolean isFirstCap)
    Sets the first cap.
    Parameters:
      `isFirstCap` - the new first cap

  - ### isLower

    public boolean isLower()
    Checks if is lower.
    Returns:
      true, if is lower

  - ### setLower

    public void setLower​(boolean isLower)
    Sets the lower.
    Parameters:
      `isLower` - the new lower

  - ### isUpper

    public boolean isUpper()
    Checks if is upper.
    Returns:
      true, if is upper

  - ### setUpper

    public void setUpper​(boolean isUpper)
    Sets the upper.
    Parameters:
      `isUpper` - the new upper